
Name:           python-poppler-qt4
Version:        0.16.2
Release:        12%{?dist}
Summary:        Python bindings for the Poppler PDF rendering library

Group:          Applications/Publishing
License:        LGPLv2+
URL:            http://code.google.com/p/%{name}/
Source0:        http://python-poppler-qt4.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0:         python-poppler-qt4-0.16.2-poppler-0.20.0.patch
Requires: PyQt4
%{?_sip_api:Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}}
BuildRequires:  python2-devel
BuildRequires:  PyQt4-devel
BuildRequires:  poppler-qt-devel >= 0.12.0
BuildRequires:  sip-devel >= 4.9.1

# we don't want to provide private python extension libs
%{?filter_setup:
%filter_provides_in %{python_sitearch}/.*\.so$ 
%filter_setup
}

%description
Python bindings for the Poppler PDF rendering library. It is needed to
run programs written in Python and using Poppler set.

%prep
%setup -q 
%patch0 -p1

%build
python ./setup.py build

%install
python ./setup.py install --skip-build --prefix=%{buildroot}%{_prefix}

%files
%doc ChangeLog LICENSE TODO README
%{python_sitearch}/popplerqt4.so
%{python_sitearch}/python_poppler*

%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Mar 16 2014 Rex Dieter <rdieter@fedoraproject.org> 0.16.2-10
- rebuild (sip)

* Wed Oct 16 2013 Rex Dieter <rdieter@fedoraproject.org> 0.16.2-9
- rebuild (sip)

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jun 17 2013 Rex Dieter <rdieter@fedoraproject.org> 0.16.2-7
- rebuild (sip)

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Oct 03 2012 Brendan Jones <brendan.jones.it@gmail.com> 0.16.2-5
- Rebuilt for broken sip dependancy

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jan 2 2012 Brendan Jones <brendan.s.jones@gmail.com> - 0.16.2-2
- Added runtime dependencies

* Wed Dec 14 2011 Brendan Jones <brendan.s.jones@gmail.com> - 0.16.2-1
- Initial package for Fedora
